#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 1, 3, 1};
}

int getMove1d(std::vector<int> v)
{
    if(v.size() == 3)
    {
        if(v[0] + v[2] == 5)
        {
            if(v[0] == 2)
                return 2;

            return 0;
        }
        else if(v[0] + v[2] == 4)
        {
            if(v[0] == 3)
                return 2;

            return 0;
        }
        else
        {
            if(v[0] == 2)
                return 0;

            return 2;
        }

    }
    else if(v.size() == 5)
    {
        if(v[0] == 3)
            return 0;
        else
            return 4;
    }
    else if(v.size() == 7)
    {
        if(v[0] == 2)
            return 0;
        else
            return 6;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
